Grand Master Bitz:
The Human Knight seeks to balance attack and defense, rather than devoting all efforts to a strong attack. Knights are known for their spirit of self-sacrifice. With shields and excellent armor, they stand between the monsters and their companions. For your future reference, Knights have the opportunity to change to the higher-level professions of Paladin or Dark Avenger.
Ask about changing professions to a Knight
Return